#!/usr/bin/env bash

function miner_ver() {
  local MINER_VER=$ASTROMINER_VER
  [[ -z $MINER_VER ]] && MINER_VER=$MINER_LATEST_VER
  echo $MINER_VER
}

function miner_config_echo() {
  local MINER_VER=`miner_ver`
  miner_echo_config_file "$MINER_DIR/$MINER_VER/miner.conf"
}

function miner_config_gen() {
  [[ -z $ASTROMINER_TEMPLATE ]] && echo -e "${YELLOW}ASTROMINER_TEMPLATE is empty${NOCOLOR}" && return 1
  [[ -z $ASTROMINER_URL ]] && echo -e "${YELLOW}ASTROMINER_URL is empty${NOCOLOR}" && return 1

  local MINER_CONFIG="$MINER_DIR/$MINER_VER/miner.conf"
  mkfile_from_symlink $MINER_CONFIG

  local conf=

  i=0
  for url in `echo "$ASTROMINER_URL" | head -3`; do
    [[ $i -eq 0 ]] && conf+=" -r $url" || conf+=" -r$i $url"
    let "i = i + 1"
  done

  if [[ $ASTROMINER_URL == wss* ]]; then
    local wallet=`echo $ASTROMINER_TEMPLATE | cut -d . -f 1`
  else
    local wallet=$ASTROMINER_TEMPLATE
  fi
  conf+=" -w $wallet $ASTROMINER_USER_CONFIG"

  echo $conf > $MINER_CONFIG
}
